:root {
	--md-accent-fg-color: #ff1947;
	--md-typeset-a-color: var(var(--md-accent-fg-color));
}

body[data-md-color-scheme="default"] {
	color: black;
	--color-download-button-outline: black;
	--color-download-button: white;
	--version-bg-color: rgb(225, 225, 225);
}

body[data-md-color-scheme="slate"] {
	color: white;
	--color-download-button-outline: white;
	--color-download-button: black;
	--version-bg-color: rgb(45, 45, 45);

	.admonition.quote {
		color: white;
	}
}

object:not(.schema-pdf):not(.schema-svg) {
	width: 100%;
	height: 400px;
}

.md-typeset iframe {
	width: 100% !important;
}

@media (max-width: 980px) {
	object {
		display: none;
	}
}

.image-track {
	border-radius: 10px;
}

img {
	max-height: 150px;
}

body[data-md-color-scheme="default"] .logo {
	content: url("assets/images/logo_light.webp");
}

body[data-md-color-scheme="slate"] .logo {
	content: url("assets/images/logo_dark.webp");
}

table td img {
	height: 1em !important;
}

@media only screen and (max-width: 1219px) {
	.image-track {
		display: none;
	}
}

.md-typeset .footnote-ref {
	font-size: 1.2em;
}

.md-button {
	border-radius: 5px !important;
	color: var(--md-accent-fg-color) !important;
	background-color: var(--md-accent-fg-color--transparent) !important;
}

p a,
.md-nav__item .md-nav__link--active a,
.md-content__inner a,
.md-nav__link--active a {
	color: var(--md-accent-fg-color); /* !important;*/
}

.link-download a {
	background-color: #ff194740 !important;
	text-decoration: none !important;
	padding: 0.1em 0.4em;
	border-radius: 5px;
	font-weight: bold;
	transition: all 0.5s;
}

.link-download a:hover {
	background-color: rgba(255, 255, 255, 0.33) !important;
	transition: all 0.5s;
}

.schema-svg {
	width: 100% !important;
	min-height: 400px;
	display: block;
}

.schema-pdf {
	height: auto;
	width: 100%;
}

.diagram-download {
	text-decoration: none !important;
	background-color: var(--md-accent-fg-color);
	border: 2px solid var(--md-accent-fg-color);
	border-radius: 5px;
	color: var(--color-download-button) !important;
	padding: 0.2em;
	font-weight: 600;
}

.diagram-download:hover {
	/* background-color: hsl(from var(--md-accent-fg-color) h s calc(l * 1.25)); */
	border: 2px solid var(--color-download-button-outline);
	color: var(--color-download-button-outline) !important;
	transition: 0.5s;
}

.tabbed-labels a {
	/* color: var(--md-accent-fg-color) !important; */
}

a.glightbox:after {
	display: none !important;
}
